Skip to main content
GET
/
v1
/
ghost
/
signal
curl https://api.aioka.io/v1/ghost/signal \
  -H "X-API-Key: aik_pro_your_key_here"
{
  "signal": "HOLD",
  "entry_mode": "B",
  "conditions_met": 5,
  "conditions_required": 7,
  "entry_quality": null,
  "has_open_position": false,
  "rsi": 42.3,
  "ema_distance_pct": 0.85,
  "regime": "BULL_TRENDING",
  "timestamp": "2026-04-03T10:22:00Z",
  "cached": false,
  "cache_ttl_seconds": 30
}
To use the playground, enter your API key in the X-API-Key field above. Don’t have a key? Get one free →
Tier: Pro ($199/mo) 🔒 Cache TTL: 30 seconds
⚠️ This is a paper-trading signal, not financial advice. Ghost Trader is a simulation. Never make real financial decisions based solely on this signal.

Signal Values

SignalMeaning
ENTERAll 7 entry conditions met
HOLDConditions not fully met
IN_POSITIONGhost Trader has an open trade
curl https://api.aioka.io/v1/ghost/signal \
  -H "X-API-Key: aik_pro_your_key_here"
{
  "signal": "HOLD",
  "entry_mode": "B",
  "conditions_met": 5,
  "conditions_required": 7,
  "entry_quality": null,
  "has_open_position": false,
  "rsi": 42.3,
  "ema_distance_pct": 0.85,
  "regime": "BULL_TRENDING",
  "timestamp": "2026-04-03T10:22:00Z",
  "cached": false,
  "cache_ttl_seconds": 30
}

Authorizations

X-API-Key
string
header
required

Your AIOKA Intelligence API key (format: aik_{tier}_{random})

Response

Ghost Trader signal

signal
string
required
entry_mode
string | null
required
conditions_met
integer
required
conditions_required
integer
required
entry_quality
number | null
required
has_open_position
boolean
required
rsi
number | null
required
ema_distance_pct
number | null
required
regime
string | null
required
timestamp
string<date-time>
required
cached
boolean
required
cache_ttl_seconds
integer
required